import React from "react";
import ReactDOM from "react-dom/client";
import { createBrowserRouter, RouterProvider } from "react-router-dom";
import HomeRoute from "./routes/HomeRoute";
import SearchRoute from "./routes/SearchRoute";
import SettingsRoute from "./routes/SettingsRoute";

const root = ReactDOM.createRoot(document.getElementById("root"));

const router = createBrowserRouter([
  {
    path: "/",
    element: <HomeRoute></HomeRoute>,
    // errorElement: <ErrorRoute></ErrorRoute>,
  },
  {
    path: "/home",
    element: <HomeRoute></HomeRoute>,
    // errorElement: <ErrorRoute></ErrorRoute>,
  },
  {
    path: "/search",
    element: <SearchRoute></SearchRoute>,
    // errorElement: <ErrorRoute></ErrorRoute>,
  },
  {
    path: "/settings",
    element: <SettingsRoute></SettingsRoute>,
    // errorElement: <ErrorRoute></ErrorRoute>,
  },
]);

root.render(
  <React.StrictMode>
    <RouterProvider router={router} />

    <span
      style={{
        position: "absolute",
        top: "95%",
        left: "0%",
        color: "red",
        backgroundImage: "none",
        width: "270px",
        height: "30px",
        backgroundColor: "white",
        borderRadius: "20px",
        textAlign: "center",
        padding: "5px 0 0px 0",
        outline: "solid black 1px",
      }}
    >
      Jukebox Draft UI (not styled yet)
    </span>
    
  </React.StrictMode>
);
